Contents

GET /cashouts#

Returns the list of all cash-out operations for all accounts.

Can only be used by the administrators.

Request:

Query Parameters:
  • limitOptional. At most return the given number of results. Negative for descending by cashout_id, positive for ascending by cashout_id. Defaults to -20. Since v5.

  • offsetOptional. Starting cashout_id for pagination. Since v5.

  • deltaOptional. Deprecated since v5. Use limit instead.

  • startOptional. Deprecated since v5. Use offset instead.

Note

We might want to add a filter in the future to only query pending cashout operations.

Response:

200 OK:

Response is a GlobalCashouts.

204 No Content:

No cash-out operations were found.

401 Unauthorized:

Invalid or missing credentials.

403 Forbidden:

Missing rights.

501 Not implemented:

This server does not support conversion, client should check config response.

Details:

interface GlobalCashouts {
  cashouts: GlobalCashoutInfo[];
}
interface GlobalCashoutInfo {
  cashout_id: Integer;
  username: string;
}